﻿/**
 * General parameters for minimap.
 * ????? ????????? ?????????. ????? ?? ????????? ???????? ?????????????? http://www.youtube.com/watch?feature=player_embedded&v=NBJcqWuEoLo
 */
{
  "minimap": {
    // false - Disable.
    // false - ?????????.
    "enabled": ${"../fdmod_minimap_enable.xc":"."},
    // Map image transparency.
    // ???????????? ??????????? ?????.
    "mapBackgroundImageAlpha": 100,
    // Self icon transparency. White pointing arrow.
    // ???????????? ????? ??????. ????? ???????.
    "selfIconAlpha": 75,
    // Self icon scale. White pointing arrow.
    // ??????? ????? ??????. ????? ???????.
    "selfIconScale": 1,
    // Vehicle type icons transparency.
    // ???????????? ?????? ???? ???????.
    "iconAlpha": 100,
    // Vehicles icon scale. Does not affect attached geometry and textfields. Floating point allowed: 0.7, 1.4.
    // ??????? ?????? ???????. ?? ?????? ?? ????????????? ? ????????? ? ????????? ????. ????? ???????: 0.7, 1.4.
    "iconScale": 1,
    // Camera direction green triangle transparency.
    // ???????????? ???????? ???????????? ??????????? ??????.
    "directionTriangleAlpha": 100,
    // Standard camera direction line transparency.
    // ???????????? ???????????? ???? ??????????? ??????.
    "directionLineAlpha": 100,
    // Show camera line after death
    // ?????????? ????? ??????????? ?????? ????? ??????
    "showDirectionLineAfterDeath": true,
    // Path to icon for arty aim
    // ???? ? ?????? ??? ??????????????? ???????
    "minimapAimIcon": "xvm://res/MinimapAim.png",
    // Scale factor for the minimap aim icon (in percents)
    // ??????? ?????? ??? ??????????????? ??????? (? ?????????)
    "minimapAimIconScale": 50,
    // Map zoom by key pressing. Key is defined at file "hotkeys.xc".
    // ?????????? ????????? ?? ??????? ??????. ?????? ???????? ? ????? "hotkeys.xc".
    "zoom": {
      // Zoom index value for minimap zoom key (0..5).
      // ???????? ???????? ????????? ??? ??????? ??????? ???????? (0..5).
      "index": 5,
      // false - does not set zoomed minimap at display center.
      // false - ?? ????????????? ??????????? ????????? ?? ?????? ??????.
      "centered": ${"../fdmod_minimap_Center.xc":"."}
    },
    // Map size label
    // ???? ??????? ?????
    "mapSize": ${"minimapMapSize.xc":"mapSize"},
    // false - use standard circles
    // false - ???????????? ??????????? ?????
    "circlesEnabled": true,
    // false - use standard labels
    // false - ???????????? ??????????? ???????
    "labelsEnabled": true,
    // false - use standard lines
    // false - ???????????? ??????????? ?????
    "linesEnabled": true,
    // Minimap labels.
    // ??????? ?? ?????????.
    "labels": ${"minimapLabels.xc":"labels"},
    "labelsData": ${"minimapLabelsData.xc":"labelsData"},
    // Minimap circles.
    // ????? ?? ?????????.
    "circles": ${"minimapCircles.xc":"circles"},
    // Minimap lines.
    // ????? ?? ?????????.
    "lines": ${"minimapLines.xc":"lines"}
  }
}
